Subject: Re: [Govpn-devel] Invalid server's random number

From: Bruno Clermont <[email-masked]>
Date: Thu, 20 Oct 2016 21:27:22 +0800

> On 20 Oct 2016, at 03:45, Sergey Matveev <[email-masked]> wrote:
> 
> If everything is ok there (try to setup all configuration from the
> ground, from very beginning), then personally I will add debugging
> print-s in the code to see are encryption keys, nonces and deciphered
> information is the same on both sides and when it becomes different.

I tested and it works perfectly over TCP.

For UDP, It’s worst than yesterday: GoVPN server never receive any packets.
I see traffic coming on the wire with `tshark`, firewall rules are valid. I added plenty of debug code myself and it don’t even reach `conn.ReadFromUDP(buf)` anymore.

I blame the VM with it's 2.5 years uptime. It probably need a reboot or something.

> Just slightly another structures.
> So should be relatively easy. I added TUN support to the TODO list, but
> currently can give no time expectations when it will be done

OSX used to need 3rd party drivers for tun, now it’s part built in.
only IPv4/IPv6 can goes in. no ethernet overhead. this can increase GoVPN throughput.

tap interfaces aren’t available on Android and iOS. Tun are available… which mean GoVPN client can be used on mobile OS (easy with Go, just need to move out into a separate package some of govpn/govpn-client logic).